import { t as e } from "./clamp-DQAQAGkj.js";
import { jsx as t } from "react/jsx-runtime";
//#region ../../node_modules/.bun/@base-ui+react@1.5.0+f4ada88178b00e6f/node_modules/@base-ui/react/esm/utils/styles.js
var n = "base-ui-disable-scrollbar", r = {
	className: n,
	getElement(e) {
		return /*#__PURE__*/ t("style", {
			nonce: e,
			href: n,
			precedence: "base-ui:low",
			children: `.${n}{scrollbar-width:none}.${n}::-webkit-scrollbar{display:none}`
		});
	}
};
process.env.NODE_ENV !== "production" && (r.getElement.displayName = "styleDisableScrollbar.getElement");
function i(e, t) {
	return Math.max(0, e - t);
}
function a(t, n) {
	if (n <= 0) return 0;
	let r = e(t, 0, n), i = r, a = n - r, o = i <= 1, s = a <= 1;
	return o && s ? i <= a ? 0 : n : o ? 0 : s ? n : r;
}
//#endregion
export { a as n, r, i as t };
